default:
    image: google/cloud-sdk:alpine
    before_script:
        - gcloud config set project cpsc-2650
        - gcloud auth activate-service-account --key-file $GCP_SERVICE_CREDS

build:
    stage: build
    script:
        - gcloud builds submit --tag gcr.io/cpsc-2650/cicd2

deploy:
    stage: deploy
    script:
        - gcloud run deploy cicd2 --image gcr.io/cpsc-2650/cicd2 --platform managed --region us-west1 --allow-unauthenticated
    